﻿@using Evaluation.Models;
@using Kendo.Mvc.UI;
@model ModelDatos
@{
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datetimepicker/4.14.30/js/bootstrap-datetimepicker.min.js"></script>
    @Scripts.Render("~/bundles/jqueryajax")
    ViewBag.Title = "Cotizador";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<style>
    .k-popup > .k-widget {
        width: 300px;
    }
</style>
@using (Ajax.BeginForm("SaveDataValues", "Home", new { area = "" },
    new AjaxOptions()
    {
        HttpMethod = "POST",
        InsertionMode = InsertionMode.Replace,
        OnSuccess = "onSuccessResult",
        OnFailure = "onFailureResult"
    }, new { @id = "FormSendRegister" }))
{
    @Html.HiddenFor(m => m.Estado)
    @Html.HiddenFor(m => m.Municipio)
    @Html.AntiForgeryToken()
    <div class="row">
        <h4>VEHICULO</h4>
    </div>
    <div class="row">
        <div class="col-xs-6 col-sm-3 col-md-2 col-lg-2 ">
            @Html.Label("Marca:")
        </div>
        <div class="col-xs-6 col-sm-3 col-md-2 col-lg-2 ">
            @Html.DropDownListFor(m => m.Marca,
         new SelectList(ViewBag.Marcas, "Value", "Text"))
        </div>
        <div class="clearfix"></div>
        <div class="col-xs-6 col-sm-3 col-md-2 col-lg-2 ">
            @Html.Label("Submarca:")
        </div>
        <div class="col-xs-6 col-sm-3 col-md-2 col-lg-2 ">
            @Html.DropDownListFor(m => m.Submarca,
         new SelectList(ViewBag.Submarcas, "Value", "Text"))
        </div>
        <div class="clearfix"></div>
        <div class="col-xs-6 col-sm-3 col-md-2 col-lg-2 ">
            @Html.Label("Modelo:")
        </div>
        <div class="col-xs-6 col-sm-3 col-md-2 col-lg-2 ">
            @Html.DropDownListFor(m => m.Modelo,
         new SelectList(ViewBag.Modelos, "Value", "Text"))
        </div>
        <div class="clearfix"></div>
        <div class="col-xs-6 col-sm-3 col-md-2 col-lg-2 ">
            @Html.Label("Descripción:")
        </div>
        <div class="col-xs-6 col-sm-3 col-md-2 col-lg-2 ">
            @Html.DropDownListFor(m => m.Descripcion,
         new SelectList(ViewBag.Descripciones, "Value", "Text"))
        </div>
    </div>
    <div class="row">
        <h4>DOMICILIO</h4>
    </div>
    <div class="row">
        <div class="clearfix"></div>
        <div class="col-xs-6 col-sm-3 col-md-2 col-lg-2 ">
            @Html.Label("Código Postal:")
        </div>
        <div class="col-xs-6 col-sm-3 col-md-2 col-lg-2 ">
            @Html.TextBoxFor(m => m.CodigoPostal, new { @maxlength = "5", @class = "digit" })
        </div>

        <div class="clearfix"></div>
        <div class="col-xs-6 col-sm-3 col-md-2 col-lg-2 ">
            @Html.Label("Estado:")
        </div>
        <div class="col-xs-6 col-sm-3 col-md-2 col-lg-2 ">
            @Html.TextBox("lblEstado","", new { disabled = "disabled" })
        </div>
        <div class="clearfix"></div>
        <div class="col-xs-6 col-sm-3 col-md-2 col-lg-2 ">
            @Html.Label("Municipio:")
        </div>
        <div class="col-xs-6 col-sm-3 col-md-2 col-lg-2 ">
            @Html.TextBox("lblMunicipio","", new { disabled = "disabled" })
        </div>
        <div class="clearfix"></div>
        <div class="col-xs-6 col-sm-3 col-md-2 col-lg-2 ">
            @Html.Label("Colonia:")
        </div>
        <div class="col-xs-6 col-sm-3 col-md-2 col-lg-2 ">
            @Html.DropDownListFor(m => m.Colonia,
      new SelectList(ViewBag.Modelos, "Value", "Text"))
        </div>
    </div>
    <div class="row">
        <h4>PERSONA</h4>
    </div>
    <div class="row">
        <div class="clearfix"></div>
        <div class="col-xs-6 col-sm-3 col-md-2 col-lg-2 ">
            @Html.Label("Fecha de Nacimiento:")
        </div>
        <div class="col-xs-6 col-sm-3 col-md-2 col-lg-4">
            @Html.Kendo().DatePickerFor(m => Model.FechaNacimiento)
        </div>
        <div class="clearfix"></div>
        <div class="col-xs-6 col-sm-3 col-md-2 col-lg-2 ">
            @Html.Label("Genero:")
        </div>
        <div class="col-xs-6 col-sm-3 col-md-2 col-lg-2 ">
            @Html.DropDownListFor(m => m.Genero,
            new SelectList(ViewBag.Generos, "Value", "Text"))
        </div>
    </div>
    <div class="row">
        <button id="btnCotizar">
            <div class="Title">
                <span>Cotizar</span>
            </div>
        </button>
    </div>
}
<script>
    $(document).ready(function () {
        $(".digit").keypress(function (e) {
            if (e.which != 8 && e.which != 0 && (e.which < 48 || e.which > 57)) {
                return false;
            }
        });
    });
    $("#Marca").on("change", function (event) {
        if ($(this).value != "0") {
            $.ajax({
                data: {},
                type: 'POST',
                cache: false,
                dataType: 'json',
                url: '@Url.Action("SetSubmarca", "Home", new { area = "" })?marca=' + this.value,
                success: function (result) {
                    $("#Descripcion").empty(); $("#Descripcion").append("<option value=\"\">-- Seleccione -- </option>")
                    $("#Modelo").empty(); $("#Modelo").append("<option value=\"\">-- Seleccione -- </option>")
                    $("#Submarca").empty();
                    $.each(result, function (index, row) {
                        $("#Submarca").append("<option value=\"" + row.Value +"\">"+row.Text+"</option>")
                    });

                },
                error: function (ex) {
                    alertify.alert('Dificultades técnicas. Intente más tarde');
                }
            });
        }
    });
    $("#Submarca").on("change", function (event) {
         if ($(this).val() != "0") {
            $.ajax({
                data: {},
                type: 'POST',
                cache: false,
                dataType: 'json',
                url: '@Url.Action("SetModelo", "Home", new { area = "" })?submarca=' + $(this).val(),
                success: function (result) {
                    $("#Descripcion").empty(); $("#Descripcion").append("<option value=\"\">-- Seleccione -- </option>")
                    $("#Modelo").empty();
                    $.each(result, function (index, row) {
                        $("#Modelo").append("<option value=\"" + row.Value +"\">"+row.Text+"</option>")
                    });

                },
                error: function (ex) {
                    alertify.alert('Dificultades técnicas. Intente más tarde');
                }
            });
        }
     });

     $("#Modelo").on("change", function (event) {
        if ($(this).val() != "0") {
            $.ajax({
                data: {},
                type: 'POST',
                cache: false,
                dataType: 'json',
                url: '@Url.Action("SetDescripcion", "Home", new { area = "" })?modelo=' + $(this).val(),
                success: function (result) {
                    $("#Descripcion").empty();
                    $.each(result, function (index, row) {
                        $("#Descripcion").append("<option value=\"" + row.Value +"\">"+row.Text+"</option>")
                    });

                },
                error: function (ex) {
                    alertify.alert('Dificultades técnicas. Intente más tarde');
                }
            });
        }
    });
    $("#CodigoPostal").on("change", function (event) {
            if ($(this).value != "") {
                $.ajax({
                    data: {},
                    type: 'POST',
                    cache: false,
                    dataType: 'json',
                    url: '@Url.Action("SetDomicilio", "Home", new { area = "" })?cp=' + this.value,
                    success: function (result) {
                        $("#Estado").val(result["estado"]);
                        $("#Municipio").val(result["municipio"]);
                        $("#lblEstado").val(result["estado"]);
                        $("#lblMunicipio").val(result["municipio"]);
                        $("#Colonia").empty(); $("#Colonia").append("<option value=\"\">-- Seleccione -- </option>")
                        $.each(result["asentamiento"], function (index, row) {
                            $("#Colonia").append("<option value=\"" + index + "\">" + row + "</option>")
                            $("#Colonia").val(0);
                        });
                    },
                    error: function (ex) {
                        alertify.alert('Dificultades técnicas. Intente más tarde');
                    }
                });
            }
        });
    $("#btnCotizar").click(function (e) {
        var action = $("#FormSendRegister").attr('action');
        var dataForm = new FormData($("#FormSendRegister")[0]);

        $.ajax({
            type: "POST",
            url: action,
            data: dataForm,
            processData: false,
            contentType: false,
            success: function (json) {
                if (!json.Error) {
                    alert("La cotización es correcta");
                } else {
                    alert(json.Mensaje);
                }
            }
        });
    });
    var onSuccessResult = function () {

    };
    var onFailureResult = function () {

    };
</script>

